<template>
  <el-main>
    <el-row>
      <el-col :sm="{span: 10, offset: 7}" :md="{span: 8, offset: 8}" :lg="{span: 6, offset: 8}">
        <h2>Forgot your password</h2>
        <el-form ref="form_reset_password" :model="user" label-position="top">
          <el-form-item ref="login" label="Username" prop="login">
            <el-input v-model="user.login"></el-input>
          </el-form-item>

          <el-form-item>
            <el-button type="primary" @click="submitForm()">
              Send me the instructions to reset my password
            </el-button>
          </el-form-item>
        </el-form>
      </el-col>
    </el-row>

    <auth-links current="reset_password"></auth-links>
  </el-main>
</template>

<script>
import AuthLinks from '../components/auth_links'

export default {
  components: { 'auth-links': AuthLinks },

  data() { return { user: { login: '' } } },

  methods: {
    submitForm() {

    }
  }
}
</script>
